--******************************************************************************************
function public.Init ()

  public.DIRECTION = 0;
  public.POSITION = 965;

  private.MOUSE_OVER_ANIM_TIME = 0.3;
  --ObjSet("obj_int_button_guide", {
  --  event_mdown = int_button_guide.MouseDown,
  --  event_menter = private.MouseEnterAnim,
  --  event_mleave = private.MouseLeaveAnim
  --});

  if ( IsCollectorsEdition() ~= 1 ) then

    ObjSet("int_button_guide", {input=0})
    ObjSet("txt_int_button_guide", {alp=0})
    --ObjSet("spr_int_button_guide", {res = "assets/interface/resources/button_guide_lock"})

  end;

end;
--******************************************************************************************
function public.WideScreenUpdate()

  if ( not GetWideScreen() ) then

    --
  
  else

    --

  end;

end;
--******************************************************************************************
function private.MouseEnterAnim()

  SetCursor( CURSOR_HAND );

  local obj = "spr_int_button_guide_focus";
  local alp = ObjGet( obj ).alp;
  local tme = ( 1 - alp ) * private.MOUSE_OVER_ANIM_TIME;

  ObjAnimate( obj, "alp", 0, 0, "",
  {
    0.0, 2, alp,
    tme, 2, 1
  } );

end;
--******************************************************************************************
function private.MouseLeaveAnim()

  SetCursor( CURSOR_DEFAULT );

  local obj = "spr_int_button_guide_focus";
  local alp = ObjGet( obj ).alp;
  local tme = alp * private.MOUSE_OVER_ANIM_TIME;

  ObjAnimate( obj, "alp", 0, 0, "",
  {
    0.0, 1, alp,
    tme, 1, 0
  } );


end;
--******************************************************************************************